zenilib: __DRIframebufferRec Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
__DRIframebufferRec Struct Reference

`#include <dri_interface.h>`

## Public Attributes

unsigned char * | base
void * | dev_priv
int | dev_priv_size
int | height
int | size
int | stride
int | width

## Detailed Description

Framebuffer information record. Used by libGL to communicate information about the framebuffer to the driver's `__driCreateNewScreen` function.

In XFree86, most of this information is derrived from data returned by calling `XF86DRIGetDeviceInfo`.

See Also
  XF86DRIGetDeviceInfo __DRIdisplayRec::createNewScreen __driUtilCreateNewScreen CallCreateNewScreen

Definition at line 603 of file dri_interface.h.

## Member Data Documentation

unsigned char* __DRIframebufferRec::base

                   Framebuffer base address in the CPU's

address space. This value is calculated by calling `drmMap` on the framebuffer handle returned by `XF86DRIGetDeviceInfo` (or a similar function).

Definition at line 604 of file dri_interface.h.

void* __DRIframebufferRec::dev_priv

Pointer to the driver's dev-priv structure.

Definition at line 615 of file dri_interface.h.

int __DRIframebufferRec::dev_priv_size

Size of the driver's dev-priv structure.

Definition at line 614 of file dri_interface.h.

int __DRIframebufferRec::height

Pixel height of the framebuffer.

Definition at line 613 of file dri_interface.h.

int __DRIframebufferRec::size

Framebuffer size, in bytes.

Definition at line 610 of file dri_interface.h.

int __DRIframebufferRec::stride

Number of bytes from one line to the next.

Definition at line 611 of file dri_interface.h.

int __DRIframebufferRec::width

Pixel width of the framebuffer.

Definition at line 612 of file dri_interface.h.

The documentation for this struct was generated from the following file:

- zenilib/jni/external/zenilib/zeni_graphics/GL/internal/dri_interface.h